Package org.kie.api.pmml

## Interface PMML4Output<T>

- All Known Implementing Classes:
    `AbstractOutput`, `DoubleFieldOutput`, `IntegerFieldOutput`, `StringFieldOutput`

      public interface PMML4Output<T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCorrelationId()` |
    `java.lang.String` | `getDisplayValue()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getSegmentationId()` |
    `java.lang.String` | `getSegmentId()` |
    `T` | `getValue()` |
    `java.lang.Double` | `getWeight()` |
    `void` | `setCorrelationId​(java.lang.String correlationId)` |
    `void` | `setDisplayValue​(java.lang.String displayValue)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setSegmentationId​(java.lang.String segmentationId)` |
    `void` | `setSegmentId​(java.lang.String segmentId)` |
    `void` | `setValue​(T value)` |
    `void` | `setWeight​(java.lang.Double weight)` |

- - ### Method Detail

    - #### getCorrelationId

          java.lang.String getCorrelationId()

    - #### setCorrelationId

          void setCorrelationId​(java.lang.String correlationId)

    - #### getName

          java.lang.String getName()

    - #### setName

          void setName​(java.lang.String name)

    - #### getDisplayValue

          java.lang.String getDisplayValue()

    - #### setDisplayValue

          void setDisplayValue​(java.lang.String displayValue)

    - #### getValue

          T getValue()

    - #### setValue

          void setValue​(T value)

    - #### getWeight

          java.lang.Double getWeight()

    - #### setWeight

          void setWeight​(java.lang.Double weight)

    - #### getSegmentationId

          java.lang.String getSegmentationId()

    - #### setSegmentationId

          void setSegmentationId​(java.lang.String segmentationId)

    - #### getSegmentId

          java.lang.String getSegmentId()

    - #### setSegmentId

          void setSegmentId​(java.lang.String segmentId)